Mailinglist Archive: opensuse-factory (401 mails)

< Previous Next >
Re: [opensuse-factory] vmware player does not build on kernel 5.0.1 Was: New Tumbleweed snapshot 20190314 released!
On 3/17/19 12:28 PM, Christian Mahr wrote:
Hi All,

FYI : with the new kernel 5.0.1, the modules for "vmplayer" (both version 14.2.1 and 15.0.3) do not build anymore.

Seems to be a known issue. need to wait for an updated vmplayer until I can update to the 5.0.1 kernel.

Or does anyone has a fix/patch?

I'm sure that there are published patches available on the web.

There were two API changes between 4.19 and 5.0. One was the removal of do_gettimeofday() previously discussed on this ML, and the second was the move of mount.h from include/linux to include/uapi/linux. Neither is very complicated to fix.

There may be a vmplayer problem with Leap 15.1. The 4.12.14 kernel used there has a lot of API changes backported from later kernels. These make it harder to compile kernel modules as the simple test of macro LINUX_VERSION_CODE no longer is sufficient. It took some work to get the VirtualBox modules to build under Leap 15.1.

Larry

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >